Get Appointment
Get appointment by ID
GET
/
calendars
/
events
/
appointments
/
{eventId}
Get Appointment
curl --request GET \
--url https://services.leadconnectorhq.com/calendars/events/appointments/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/calendars/events/appointments/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/events/appointments/{eventId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"event": {
"id": "ocQHyuzHvysMo5N5VsXc",
"title": "Appointment with HoopAI Platform Dev team",
"calendarId": "BqTwX8QFwXzpegMve9EQ",
"locationId": "0007BWpSzSwfiuSl0tR2",
"contactId": "9NkT25Vor1v4aQatFsv2",
"groupId": "9NkT25Vor1v4aQatFsv2",
"appointmentStatus": "confirmed",
"assignedUserId": "YlWd2wuCAZQzh2cH1fVZ",
"users": [
"YlWd2wuCAZQzh2cH1fVZ",
"9NkT25Vor1v4aQatFsv2"
],
"startTime": "2023-09-25T16:00:00+05:30",
"endTime": "2023-09-25T16:00:00+05:30",
"dateAdded": "2023-09-25T16:00:00+05:30",
"dateUpdated": "2023-09-25T16:00:00+05:30",
"address": "https://meet.google.com/yqp-gogr-wve",
"notes": "Some dummy note",
"description": "Some dummy description",
"isRecurring": "true",
"rrule": "RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5",
"assignedResources": [
"<string>"
],
"createdBy": {
"source": "<string>",
"userId": "<string>"
},
"masterEventId": "ocWd2wuBGAQzh2cH1fSZ"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
Headers
API Version
Available options:
2021-04-15 Path Parameters
Event Id or Instance id. For recurring appointments send masterEventId to modify original series.
Response
Successful response
Show child attributes
Show child attributes
Last modified on March 8, 2026
Was this page helpful?
⌘I
Get Appointment
curl --request GET \
--url https://services.leadconnectorhq.com/calendars/events/appointments/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/calendars/events/appointments/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/events/appointments/{eventId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"event": {
"id": "ocQHyuzHvysMo5N5VsXc",
"title": "Appointment with HoopAI Platform Dev team",
"calendarId": "BqTwX8QFwXzpegMve9EQ",
"locationId": "0007BWpSzSwfiuSl0tR2",
"contactId": "9NkT25Vor1v4aQatFsv2",
"groupId": "9NkT25Vor1v4aQatFsv2",
"appointmentStatus": "confirmed",
"assignedUserId": "YlWd2wuCAZQzh2cH1fVZ",
"users": [
"YlWd2wuCAZQzh2cH1fVZ",
"9NkT25Vor1v4aQatFsv2"
],
"startTime": "2023-09-25T16:00:00+05:30",
"endTime": "2023-09-25T16:00:00+05:30",
"dateAdded": "2023-09-25T16:00:00+05:30",
"dateUpdated": "2023-09-25T16:00:00+05:30",
"address": "https://meet.google.com/yqp-gogr-wve",
"notes": "Some dummy note",
"description": "Some dummy description",
"isRecurring": "true",
"rrule": "RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5",
"assignedResources": [
"<string>"
],
"createdBy": {
"source": "<string>",
"userId": "<string>"
},
"masterEventId": "ocWd2wuBGAQzh2cH1fSZ"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}